@font-face {
    font-family: Techfont;
    src: url('https://andrazjese.si/font/Techfont.ttf');
}

html {
    font-size: 18px;
}

body {
    font-family: 'Techfont';
    margin: 0px;
    padding: 0px;
    background-color: #ffffff;
}

::selection {
    color: #fff;
    background: #1a4645;
}

.header {
    height: 5rem;
    background-color: #1a4645;
}

.nav {
    position: relative;
    display: flex;
    height: inherit;
    align-items: center;
    justify-content: space-between;
    padding: 0 2rem;
}

.title {
    position: relative;
    display: flex;
    align-items: center;
    flex-direction: row;
    color: #ffffff;
    font-size: 1rem;
    margin-right: 1rem;
    height: 100%;
}

.title img {
    height: 90%;
}

.btns {
    display: flex;
    height: 100%;
}

.btns a {
    transition: background-color 0.5s linear, color 0.5s linear;
    position: relative;
    cursor: pointer;
    display: flex;
    align-items: center;
    height: 100%;
    font-size: 1.5rem;
    padding: 0 1rem;
    font-family: Techfont;
    color: #ffffff;
    background-color: #1a4645;
}

.btns a:hover, .burger-items a:hover {
    background-color: #ffffff;
    color: #1a4645;
}

.burger-menu {
    display: none;
    position: relative;
    height: 100%;
}

.burger-icon {
    transition: background-color 0.5s linear, color 0.5s linear;
    position: relative;
    padding: 0 1rem;
    font-family: Techfont;
    background: #1a4645;
    border: none;
    color: #ffffff;
    font-size: 1.5rem;
    cursor: pointer;
    height: 100%;
}

.burger-icon:hover {
    background-color: #ffffff;
    color: #1a4645;   
}

.burger-items {
    position: absolute;
    height: 100%;
    right: -2rem;
    z-index: 1;
}

.burger-items a {
    transition: background-color 0.5s linear, color 0.5s linear;
    position: relative;
    cursor: pointer;
    display: flex;
    flex-direction: row;
    align-items: center;
    height: 100%;
    font-size: 1.5rem;
    padding: 0 2rem;
    font-family: Techfont;
    color: #ffffff;
    background-color: #1a4645;
}

.bg {
    position: relative;
    height: calc(100vh - 5rem - 4rem);
}

.banner {
    display: flex;
    overflow: hidden;
}

.banner img {
    opacity: 0.25;
    height: calc(50vh - 2.5rem - 2rem);
}

.coding {
    position: absolute;
    bottom: 6rem;
    height: 8rem;
    width: 100%;
    background-color: #266867;
    opacity: 0.8;
    display: flex;
    justify-content: space-between;
    align-items: center;
    color: white;
    font-size: 2rem;
    font-weight: bold;
    letter-spacing: 1vw;
    opacity: 0.5;
}

.cdTekst {
    margin-left: 2vw;
}

.coding img {
    height: 225%;
    margin-right: 1vw;
    margin-bottom: 1rem;
}

.content {
    position: absolute;
    display: flex;
    flex-direction: column;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    background-color: #ffffff;
    width: 80%;
    height: 90%;
    border: #1a4645 1px solid;
    box-sizing: border-box;
}

.content .glava {
    position: relative;
    height: 8rem;
    color: #1a4645;
    background-color: #ffd51ecc;
    display: flex;
    justify-content: center;
    align-items: center;
    font-size: 5rem;
}

.content .tekst {
    position: relative;
    color: #1a4645;
    height: 100%;
    font-weight: bold;
    overflow-x: hidden;
    overflow-y: auto;
    padding: 2rem 5rem;
}

#list {
    position: relative;
    display: grid;
    place-items: center;
    grid-template-columns: repeat(auto-fit, minmax(20rem, 1fr));
    grid-gap: 4rem;
    max-width: 80%;
    margin: 0 auto;
    top: 50%;
    transform: translateY(-50%);
}

.image-container {
    position: relative;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    aspect-ratio: 1;
    overflow: hidden;
    border-radius: 50%;
    border: 0.5rem solid #1a4645;
    text-align: center;
    font-size: 1rem;
    height: 100%;
    cursor: pointer;
    transition: all 0.5s ease-out
}

.image-container span {
    max-width: 60%;
}

.image-container img {
    position: relative;
    width: 55%;
    height: auto;
    aspect-ratio: 1;
    margin-bottom: 0.75rem;

}

.image-container:hover {
    scale: 1.1;
    background-color: #ffd51ecc;
}

.image-container:hover img {
    animation: upDown 1.5s linear infinite;
}

@keyframes upDown {
    0% {
        transform: translateY(0);
    }

    50% {
        transform: translateY(-0.5rem);
    }

    100% {
        transform: translateY(0);
    }
}


#descPodrobno {
    position: relative;
}

#podrobno {
    position: relative;
    display: none;
}

#podrobno p,
a {
    font-size: 2rem;
    line-height: 3rem;
    font-family: 'Techfont';
    text-align: center;
}

#projektiPodrobno {
    text-align: center;
}

#projektiPodrobno a {
    color: #ffd51e;
}

#podrobno h3 {
    margin: 0;
    font-size: 3rem;
    text-align: center;
    padding: 0 4rem;
}

#vseStoritve {
    opacity: 0;
    transition: all 0.5s linear;
    cursor: pointer;
    position: relative;
    padding: 1rem;
    bottom: -10%;
    left: 50%;
    transform: translateX(-50%);
    font-size: 2rem;
    font-family: Techfont;
    height: 5rem;
    background-color: #1a4645;
    color: #ffffff;
    border-color: #ffffff;
}

#vseStoritve:hover {
    background-color: #ffffff;
    color: #1a4645;
    border-color: #1a4645;
}

@keyframes podrobno {
    0% {
        top: 100%
    }

    100% {
        top: 0%;
    }
}

.podrobnoUp {
    animation: podrobno 0.5s linear forwards;
}

.podrobnoDown {
    animation: podrobno 0.5s reverse linear forwards;
}

h5 {
    font-size: 2.5rem;
    margin-block-end: 1rem;
    margin-block-start: 1rem;
    text-align: center;
}

footer {
    background-color: #1a4645;
    height: 4rem;
    color: #ffffff;
    font-size: 1rem;
    display: flex;
    justify-content: center;
    align-items: center;
    text-align: center;
    padding: 0 4rem;
}

@media (max-width: 1920px) {

    html {
        font-size: 14px;
    }
}

@media (max-width: 1600px) {

    html {
        font-size: 10px;
    }
}

@media (max-width: 768px) {

    html {
        font-size: 8px;
    }

    .coding {
        font-size: 1.75rem;
        letter-spacing: 0.5vw;
    }

    .coding img {
        height: 200%;
    }

    footer {
        font-size: 1rem;
    }
}

@media (max-width: 300px) {

    html {
        font-size: 6px;
    }
}

@media (orientation: landscape) {


    @media (max-width: 1024px) {

        html {
            font-size: 8px;
        }
    }

    @media (max-height: 512px) {

        html {
            font-size: 6px;
        }
    }

    @media (max-height: 380px) {

        html {
            font-size: 5px;
        }
    }

    @media (max-height: 300px) {

        html {
            font-size: 4px;
        }
    }
}

@media (orientation: portrait) {

    .btns {
        display: none; /* Hide regular buttons */
    }

    .burger-menu {
        display: block; /* Show burger menu items */
    }

    .burger-items {
        display: none;
    }
}

@media (max-width: 576px) {

    .content {
        width: 90%;
    }
}